##### ssl::stream::read_some (1 of 2 overloads)

Read some data from the stream.

    template<
        typename MutableBufferSequence>
    std::size_t read_some(
        const MutableBufferSequence & buffers);

This function is used to read data from the stream. The function call will block until one or more bytes of data has been read successfully, or until an error occurs.

###### Parameters

buffers

  The buffers into which the data will be read.

###### Return Value

The number of bytes read.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

The read_some operation may not read all of the requested number of bytes. Consider using the `read` function if you need to ensure that the requested amount of data is read before the blocking operation completes.